Package Details: python3-aur 2016.4.20-1

Git Clone URL: https://aur.archlinux.org/python3-aur.git (read-only)
Package Base: python3-aur
Description: AUR-related modules and helper utilities (aurploader, aurquery, aurtomatic).
Upstream URL: http://xyne.archlinux.ca/projects/python3-aur
Keywords: arch_linux aur python
Licenses: GPL
Conflicts: aurploader
Provides: aurploader
Replaces: aurploader
Submitter: Xyne
Maintainer: Xyne
Last Packager: Xyne
Votes: 189
Popularity: 1.149792
First Submitted: 2011-07-04 03:22
Last Updated: 2016-04-20 20:51

Latest Comments

Xyne commented on 2016-07-10 20:56

I have been gradually working on a new backend for a while. It is available for testing here[1]. It is not entirely backwards-compatible so please give it a try now and get ready to migrate your configuration files and scripts. Extension developers are most welcome :D.

Please keep related discussion in the forum thread.

[1] https://bbs.archlinux.org/viewtopic.php?id=214706

skunktrader commented on 2016-04-21 03:38

@Xyne

Thanks very much. Everything working again.

Xyne commented on 2016-04-20 20:50

@ids1024 & jamincollins
The PkgList errors should be fixed with the latest release.

@skunktrader
Paconky has been updated to work with the current version. I plan to release a new version of several modules soon with several changes that will make it easy to replace paconky with a simple yet flexible script. I'll try to remember to announce it here or on the somewhat neglected news feed on my site.

skunktrader commented on 2016-04-20 09:03

Using this package with paconky

Traceback (most recent call last):
File "../conky/paconky.py", line 242, in main
aur = AUR.AUR()
TypeError: 'module' object is not callable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "../conky/paconky.py", line 261, in <module>
main(sys.argv[1])
File "../conky/paconky.py", line 244, in main
except AUR.AURError as e:
AttributeError: module 'AUR' has no attribute 'AURError'

jamincollins commented on 2016-04-19 21:52

Seems like aurpkglist is broken :(

$ yaourt -Q python3-aur
python3-aur 2016.3-1

$ aurpkglist
Traceback (most recent call last):
File "/bin/aurpkglist", line 15, in <module>
'-t', '--time', type=int, default=APL.DEFAULT_TTL,
AttributeError: module 'AUR.PkgList' has no attribute 'DEFAULT_TTL'

ids1024 commented on 2015-10-11 17:11

I'm getting a crash trying to use AUR.PkgList:

>>> import AUR.PkgList
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/usr/lib/python3.5/site-packages/AUR/PkgList.py", line 28, in <module>
from AUR.common import AUR_URL, RFC_2822_TIME_FORMAT, DEFAULT_TTL
ImportError: cannot import name 'RFC_2822_TIME_FORMAT

magus commented on 2015-10-09 07:48

Very nice Xyne! It all works beautifully again :)

Apes commented on 2015-10-06 21:33

The python3-xcpf dependency that was added today is not available on AUR or the base repos.

magus commented on 2015-10-05 06:42

I can add that I see the same thing as @skunktruder, but when using `pbget`.

skunktrader commented on 2015-10-03 23:27

Using this package with paconky

Traceback (most recent call last):
File "../conky/paconky.py", line 243, in main
aur_pkgs = aur.info(foreign.keys())
File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 818, in info
return self.get('info', args)
File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 710, in get
for pkg in self.aur_info(not_found):
File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 632, in aur_query
yield self.aur_format(pkg)
File "/usr/lib/python3.5/site-packages/AUR/RPC.py", line 566, in aur_format
pkg[key] = int(pkg[key])
TypeError: int() argument must be a string, a bytes-like object or a number, not 'NoneType'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "../conky/paconky.py", line 261, in <module>
main(sys.argv[1])
File "../conky/paconky.py", line 244, in main
except AUR.AURError as e:
AttributeError: module 'AUR' has no attribute 'AURError'

guotsuan commented on 2015-10-03 22:13

Run into an error because of this package in AUR

'License': ['BSD'], 'PackageBaseID': 80006, 'URLPath': '/cgit/aur.git/snapshot/abduco-git.tar.gz', 'URL': 'http://www.brain-dump.org/projects/abduco/', 'Version': '0.r74.28ef145-1', 'NumVotes': 4, 'Maintainer': 'aksr', 'MakeDepends': ['git'], 'ID': 216489, 'PackageBase': 'abduco-git', 'Name': 'abduco-git', 'Conflicts': ['abduco'], 'OutOfDate': None, 'CategoryID': 1, 'Description': 'A session management and attach/detach functionality (to use together with dvtm(1)).', 'LastModified': 1438265816, 'FirstSubmitted': 1394897829}

'OutofData' is supposed to be 'INTEGER', but got 'None' from AUR. It cause
the an exception.

Xyne commented on 2015-07-11 19:38

testing the new aurtomatic comment option

Xyne commented on 2015-07-11 19:15

With the move to SSH+Git for managing AUR packages, aurploader no longer works. I will likely not update it because it will just end up being a complicated wrapper around the underlying commands which will not fit everyone's workflow. It is probably best left to the user to create their own scripts and use "aurtomatic" for posting comments, setting notifications, etc. I will likely add an option to aurtomatic to support posting a comment non-interactively.

vadmium commented on 2015-06-01 23:39

Carl: see Xyne’s response further down the page at 2013-04-01 (which I tend to agree with). It makes it pretty obvious it’s not some old Python 2 package.

carlwgeorge commented on 2015-06-01 15:21

I'm curious, why is this package named "python3-aur" when most Arch packages that are Python 3 modules are just "python-${module}"?

Xyne commented on 2015-04-05 22:08

@djmattyg007
You can post in the Arch forum thread (linked on the project page) or send me email. Do you have something particular in mind?

djmattyg007 commented on 2015-04-04 02:24

Where can we go to support and contribute to the development of this module?

benjkaiser commented on 2015-01-13 03:02

@cleanrock

run this to add Xyne's key.

gpg --keyserver pgp.mit.edu --recv-keys 1D1F0DC78F173680

ponsfoot commented on 2015-01-06 17:01

@cleanrock:
Why don't you read https://wiki.archlinux.org/index.php/Makepkg#Signature_checking

cleanrock commented on 2015-01-06 16:36

I fail to build this package now:
$ makepkg
...
==> Verifying source file signatures with gpg...
python3-aur-2014.12.tar.xz ... FAILED (unknown public key 1D1F0DC78F173680)
==> ERROR: One or more PGP signatures could not be verified!

I did
sudo pacman-key --init; sudo pacman-key --populate archlinux; sudo pacman-key --refresh-keys
before i tried to build and saw the following which i hoped would help:
gpg: key 8F173680: "Xyne. (key #3) <xyne@archlinux.ca>" 2 new signatures

Am i missing something or is this package broken ?

graysky commented on 2014-12-30 15:33

@onoakino - The download was likely bad. If you just retry it after deleting it, it should be fine.

onoakino commented on 2014-12-30 14:45

Hi Xyne. Forgive my ignorance but I was trying to do a system upgrade today when I encountered this error:

error: python3-aur: signature from "Xyne. (key #3) <xyne@archlinux.ca>" is invalid
:: File /var/cache/pacman/pkg/python3-aur-2014.12-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] y
debug: returning error 33 from check_validity : invalid or corrupted package
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Can you suggest what I'm doing wrong? I already did this:

sudo pacman-key --init; sudo pacman-key --populate archlinux; sudo pacman-key --refresh-keys

and still the error remains.

Xyne commented on 2014-12-30 03:37

I have added the new validpgpkeys array too all of my PKGBUILDs. Let me know if this solves the problem.

anatolik commented on 2014-12-29 18:03

Recent makepkg gives error

==> Verifying source file signatures with gpg...
python3-aur-2014.12.tar.xz ... FAILED (the public key EC3CBE7F607D11E663149E811D1F0DC78F173680 is not trusted)


I believe validpgpkeys=() is needed when using signatures

Xyne commented on 2014-12-25 03:57

he package now includes AUR.PkgList and aurpkglist to access the full list of AUR packages. See the website for details.

Xyne commented on 2014-11-23 00:17

@xantares
Sorry for the late reply. I saw your message a week ago but got distracted before I could reply and then forgot about it.

The help message explains why that happens. If you want to avoid it, pass it the path(s) to the archive(s) that you are trying to upload instead of relying on it globbing the directory.

xantares commented on 2014-11-14 10:52

hi,
I discovered a bug with aurploader and I dont' know where to report it:

I could not upload mingw-w64-libiconv-1.14 source tarball
as a patch was named libiconv-1.14-2.src.patch was chosen to be uploaded when typing:
aurploader --auto --keep-cookiejar

Uploading libiconv-1.14-2.src.patch
error: AUR submission error:
• Error - unsupported file format (please submit gzip
• ed tarballs generated by makepkg(8) only)

I renamed the patch to libiconv-1.14-2-mingw.patch and the right mingw-w64-libiconv-1.14-9.src.tar.gz was uploaded

xan.

Xyne commented on 2014-06-05 18:10

Orphaning, deletions and mergers should work now with AUR 3.1.0.

Xyne commented on 2014-06-01 19:43

Warning: orphaning, deletions and mergers are currently broken due to changes in the AUR 3.0.0. The RPC only reports the package ID at the moment but these actions require the pkgbase ID. Lukas has already created a patch to add this information and I hope that it will be pushed soon.

Xyne commented on 2014-05-31 03:08

Updated for 3.0.0. There is at least one bug in the AUR itself (incorrect IDs reported by the RPC interface for recently updated packages) and likely some bugs in python3-aur. Let me know if you find any.

Xyne commented on 2014-05-31 00:06

The error message is normally scraped from the returned HTML page. The AUR was updated to 3.0.0 on Tuesday and I haven't had time to update python3-aur yet.

zorun commented on 2014-05-29 02:45

Nevermind, it doesn't work through the web interface either: "The source package does not contain any meta data. Please use `mkaurball` to create AUR source packages. Support for source packages without .AURINFO entries will be removed in an upcoming release! You can resubmit the package if you want to proceed anyway."

I wasn't aware of the new .AURINFO thing.

Still, aurploader's error message is not very informative, isn't there any way to display the error returned by the uploading system?

zorun commented on 2014-05-29 02:24

Uploading through aurploader seems to be broken:

http://paste.aliens-lyon.fr/5L8

No file is actually uploaded.

Xyne commented on 2013-10-13 17:46

@Iks
done

lks commented on 2013-10-13 10:22

Could you change category="modules" to "devel" system? I think "modules" is for kernel modules and drivers.
lks

Thaodan commented on 2013-10-08 15:01

I converted the help text to an org-file that can be exported as a man page:
https://dl.dropboxusercontent.com/u/172590784/aurploader.org

Thaodan commented on 2013-10-02 21:18

thanks nice

Xyne commented on 2013-10-01 23:57

@Thaodan: sure, why not? Posting with new "-m" option...

Thaodan commented on 2013-10-01 17:13

what about an -m for aurploader like in git so that I can post a comment without opening $EDITOR?

Xyne commented on 2013-06-03 00:40

@ponsfoot
Sorry for the delay. It has been fixed in version 2013.6.

ponsfoot commented on 2013-05-31 12:58

Hi,

Aurploader.py requires to import urllib.error.
When run `aurploader --help', the following error occurs:
$ aurploader --help
usage: aurploader [-h] [-a] [-c <path>] [--comment] [-k] [-l <path>] [-n] [-r]
<snip>
-v, --vote Vote for each uploaded package.
Traceback (most recent call last):
File "/usr/lib/python3.3/site-packages/AUR/Aurploader.py", line 657, in run_main
main(args)
File "/usr/lib/python3.3/site-packages/AUR/Aurploader.py", line 610, in main
args = parse_args(args)
File "/usr/lib/python3.3/site-packages/AUR/Aurploader.py", line 600, in parse_args
return parser.parse_args()
File "/usr/lib/python3.3/argparse.py", line 1705, in parse_args
args, argv = self.parse_known_args(args, namespace)
File "/usr/lib/python3.3/argparse.py", line 1737, in parse_known_args
namespace, args = self._parse_known_args(args, namespace)
File "/usr/lib/python3.3/argparse.py", line 1943, in _parse_known_args
start_index = consume_optional(start_index)
File "/usr/lib/python3.3/argparse.py", line 1883, in consume_optional
take_action(action, args, option_string)
File "/usr/lib/python3.3/argparse.py", line 1811, in take_action
action(self, namespace, argument_values, option_string)
File "/usr/lib/python3.3/argparse.py", line 1016, in __call__
parser.exit()
File "/usr/lib/python3.3/argparse.py", line 2353, in exit
_sys.exit(status)
SystemExit: 0

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/aurploader", line 3, in <module>
run_main()
File "/usr/lib/python3.3/site-packages/AUR/Aurploader.py", line 663, in run_main
except urllib.error.URLError as e:
NameError: global name 'urllib' is not defined
---

import urllib.error fixes this error.

Thx

Xyne commented on 2013-04-01 23:28

@onny
Nope. "python3-" is logical and future-proof. I have no intention to participate in the mass-renaming PITA whenever a new version of Python is released.

Xyne commented on 2013-04-01 14:45

@onny
Nope. "python3-" is logical and future-proof. I have no intention in participating in the mass-renaming PITA whenever a new version of Python is released.

onny commented on 2013-03-31 22:45

shouldn't we rename this package to python-aur?

graysky commented on 2013-03-04 22:19

Thanks Xyne. Works great.

Xyne commented on 2013-03-04 18:31

uploaded

Xyne commented on 2013-03-04 18:26

@graysky
Yep, it seems that I forgot to name a parameter. It should be fixed now. I'm posting this comment to confirm and will upload shortly.

graysky commented on 2013-03-03 21:02

@xyne - Think this release hosed authentication (or it's me):

% aur -a -r -l $HOME/.aurploader
Password:

I have $HOME/.aurploader in the correct format:

% cat $HOME/.aurploader
graysky
mypasswordgoeshere

Xyne commented on 2013-03-01 21:34

Pacman's dependency on curl is not intrinsic and could change in the future. I would rather keep the explicit dependency. Besides, I'm the who always argues for fully explict deps in all packages. There is no excuse for a lack of robustness when it comes at a trivial cost.

Spyhawk commented on 2013-03-01 20:39

The optional dependency curl can be removed from the pkgbuild, as it is a required by pacman anyway (comment posted with aurtomatic, thanks! :) )

Xyne commented on 2013-03-01 18:29

After the post about aurcomment I realized that I still hadn't implemented proper cookie handling (it was on a todo list). I was just going to copy and paste the aurploader cookie management code but ended up writing a little cookie context manager class (in Aurploader.py). It should be useful for anyone who is writing scripts with the modules.

After that I added proper argument parsing to aurcomment and then support for several other actions (voting, flagging, notification). Finally I renamed it "aurtomatic".

Enjoy!

p.s. posting this from aurtomatic

Xyne commented on 2013-03-01 15:37

@simon04
I actually had added aurploader to the description but it seems that I had forgotten to upload it afterwards. I have updated it again to include aurquery and aurcomment.

Thanks for the feedback!

simon04 commented on 2013-03-01 13:20

Please state in the description that this package provides aurcomment, aurploader, aurquery to make findable when searching for e.g. aurploader.

Suggestion:
A Python 3 module to retrieve and cache data from the AUR.
=>
A Python 3 module to retrieve and cache data from the AUR (provides aurcomment, aurploader, aurquery).

Thanks for the nice program as well as this package!

Xyne commented on 2013-02-14 03:32

@graysky
sha512 + md5? What's wrong with that? You can include all of the checksum arrays if you want, no?

graysky commented on 2013-02-13 22:29

@Xyne - Check PKGBUILD for double checksum arrays.

Xyne commented on 2013-02-13 21:15

The package now installs the comment example script as "aurcomment".

Usage: aurcomment <pkgname> [<pkgname>...]

I may add some other example scripts later.

Xyne commented on 2013-02-13 21:12

Merging into python3-aur. Please migrate if you haven't already.

Xyne commented on 2013-01-02 08:06

Sorry, forgot to sync locally before mirroring the site. Everything should be up again.

ngoonee commented on 2013-01-01 23:40

Still dead here =)

Xyne commented on 2012-12-24 17:02

@supersym
>Link is dead as a doormat
https://www.youtube.com/watch?v=QuoKNZjr8_U

supersym commented on 2012-12-24 09:03

Link is dead as a doormat

graysky commented on 2012-11-28 00:04

No objections. Thanks for all you do for the community.

Xyne commented on 2012-11-27 23:59

So, are there any objections to merging with python3-aur?
If you would prefer to keep a dummy wrapper package, let me know.

mrbit commented on 2012-11-25 08:54

use makepkg , now work.

mrbit commented on 2012-11-25 07:24

python3-aur /usr/
python3-aur /usr/bin/
python3-aur /usr/bin/aurploader
python3-aur /usr/bin/aurquery
python3-aur /usr/lib/
python3-aur /usr/lib/python3.3/
python3-aur /usr/lib/python3.3/site-packages/
python3-aur /usr/lib/python3.3/site-packages/AUR-2012.11.10.02.55.57-py3.3.egg-info
python3-aur /usr/lib/python3.3/site-packages/AUR/
python3-aur /usr/lib/python3.3/site-packages/AUR/Aurploader.py
python3-aur /usr/lib/python3.3/site-packages/AUR/RPC.py
python3-aur /usr/lib/python3.3/site-packages/AUR/__init__.py
python3-aur /usr/lib/python3.3/site-packages/AUR/__pycache__/
python3-aur /usr/lib/python3.3/site-packages/AUR/__pycache__/Aurploader.cpython-33.pyc
python3-aur /usr/lib/python3.3/site-packages/AUR/__pycache__/Aurploader.cpython-33.pyo
python3-aur /usr/lib/python3.3/site-packages/AUR/__pycache__/RPC.cpython-33.pyc
python3-aur /usr/lib/python3.3/site-packages/AUR/__pycache__/RPC.cpython-33.pyo
python3-aur /usr/lib/python3.3/site-packages/AUR/__pycache__/__init__.cpython-33.pyc
python3-aur /usr/lib/python3.3/site-packages/AUR/__pycache__/__init__.cpython-33.pyo

Xyne commented on 2012-11-25 05:48

@mrbit
What's the output of "pacman -Ql python3-aur"? I have just installed the current AUR package and am unable to reproduce the error.

mrbit commented on 2012-11-24 12:22

Traceback (most recent call last):
File "/usr/bin/aurploader", line 2, in <module>
from AUR.Aurploader import run_main
ImportError: No module named AUR.Aurploader

Xyne commented on 2012-11-05 09:35

The backend module and wrapper script have been included in the python3-aur package, which now provides and conflicts with aurploader. I will likely merge this package with python3-aur in the near future.

The inclusion in python3-aur makes sense as the different modules provide complementary AUR interaction and should be kept together. I could maintain a separate package for Aurploader and let it depend on python3-aur, but the script itself is a 3-line wrapper around the module's main function, which doesn't really deserve its own package.

In addition to the inclusion, most functions in the Aurploader module have been regrouped in a class named Aurploader in AUR.Aurploader in python3-aur. This provides better encapsulation of the user session and various actions.

Please migrate your code if you use the current module in this package.

Xyne commented on 2012-11-05 09:23

The single module has been converted to a Python package. The original AUR module is now AUR.RPC. The following still works for backwards compatibility:

from AUR import AUR

It should however be updated to

from AUR.RPC import AUR


The package now includes AUR.Aurploader for login in, uploading packages, submitting comments, etc.

magus commented on 2012-10-23 13:21

The .sig file isn't available at that URL. It doesn't seem to be used though; removing it from the PKGBUILD leaves the package buildable again.

graysky commented on 2012-10-17 13:42

I get the following after the new python update today:

% aurploader -r -l ~/.aurploader
Traceback (most recent call last):
File "/usr/bin/aurploader", line 2, in <module>
from aurploader import run_main
ImportError: No module named 'aurploader'

Xyne commented on 2012-07-26 21:17

Thanks for the comments. I really do appreciate the positive feedback.

luolimao commented on 2012-07-24 21:05

Agreed. It's really nice to have such a fast response/fix, and the Python rewrite is a godsend for those of us who want to use Unicode or characters that the shell script would consider "special" in passwords and such. Thanks so much, Xyne.

luolimao commented on 2012-07-24 21:05

Agreed. It's really nice to have such a fast response/fix, and the Python rewrite is a godsend for those of us who want to use Unicode or characters that the shell script would consider "special" in passwords and such.

luolimao commented on 2012-07-24 21:04

Agreed. It's really nice to have such a fast response/fix, and the Python rewrite is a godsend for those of us who want to use Unicode or characters that the shel script would consider "special".

graysky commented on 2012-07-24 11:15

Nice, Xyne. Works perfectly. Thank you for all you do for the Arch community!

Xyne commented on 2012-07-24 11:01

Thanks for the feedback. The login file and non-automatic prompt should work now.

It is not an error if there is no input. Sometimes you may want to create or remove the cookie jar without uploading any packages.


Changes:
It now accepts directories as arguments and will search for source archives in them (but not recursively).
As explained by luolimao, if no arguments are given then it checks the current directory for packages.

I have updated the help message to clarify this.

luolimao commented on 2012-07-24 03:26

@Thaodan I think that's a new feature, actually. If you don't give it any input, it looks for source packages (*.src.tar.gz files) in the current directory, and uploads them if there are any; otherwise, it just exits, without an error.

Thaodan commented on 2012-07-24 02:26

It dont checks for any input it just runs and dont shows error message if no input.

luolimao commented on 2012-07-23 23:45

Also, shouldn't the dependency array include the required python 3 libraries?

luolimao commented on 2012-07-23 23:36

line 549 in /usr/lib/python3.2/site-packages/aurploader.py should be (@graysky, this will fix the error):
user, passwd = load_login_file(args.login)

Also, trying to upload any source package fails (repeatedly prompts for uploading, even after selecting a category but never uploads, and doesn't seem to detect the package's current category either). However, when the -a command line switch is used, it uploads fine.

luolimao commented on 2012-07-23 23:35

line 549 in /usr/lib/python3.2/site-packages/aurploader.py should be:
user, passwd = load_login_file(args.login)

Also, trying to upload any source package fails (repeatedly prompts for uploading, even after selecting a category but never uploads, and doesn't seem to detect the package's current category either). However, when the -a command line switch is used, it uploads fine.

graysky commented on 2012-07-23 22:49

$ aurploader --login ~/.aurploader nct677x-ck-git-20120723-1.src.tar.gz
Traceback (most recent call last):
File "/usr/bin/aurploader", line 3, in <module>
run_main()
File "/usr/lib/python3.2/site-packages/aurploader.py", line 598, in run_main
main()
File "/usr/lib/python3.2/site-packages/aurploader.py", line 549, in main
user, passwd = load_login_file
TypeError: 'function' object is not iterable

Xyne commented on 2012-07-23 14:08

The 2012.7 version is a complete rewrite in Python 3. Most of the code has been moved into a module to facilitate scripting and automation. In the future this may be moved into the python3-aur package.

This update also introduces new options for voting, notification and commenting.

Some bugs may have snuck in during the rewrite. Let me know if you find any.

Xyne commented on 2012-07-23 11:57

This is a test comment.

It spans multiple lines.
It is boring and unoriginal.
Fix your shit, now!

Xyne commented on 2012-04-16 21:13

@yermandu
Information about my key can be found on my website. There are links to cross-reference it with archlinux.org and the MIT key server:
http://xyne.archlinux.ca/

Anonymous comment on 2012-04-15 13:01

Verifying source file signatures with gpg...
aurploader-2012.02.16.67022.tar.xz ... FAILED (unknown public key 5CED81B7C2E5C0D2)
==> WARNING: Warnings have occurred while verifying the signatures.
Please make sure you really trust them.
Can we trust? ~.^

graysky commented on 2010-12-23 17:13

Great util as usual, Xyne. Thank you for all your contributions.

lfleischer commented on 2010-09-18 15:41

pyropeter: Coz the AUR doesn't support mutiple search items. If you type "aur upload" it'll just search for packages with the string "aur upload" contained in the package name or description. File a feature request if you don't like that behaviour.

pyropeter commented on 2010-09-01 18:26

Why does this not show up in a search for "aur upload"? Is this an AUR-bug or just me?

pyropeter commented on 2010-09-01 17:49

This would be easier to find if you would include the word "uploader" in the pkgdesc.

Regards, PyroPeter